function onBegin()

    disableMovement()

    setFlag("flash", true)
    setFlag("shaking", true)

    wait(2)

    say("GREENcontest25_grog_gate")

    wait(1)
end

function onEnd()
    enableMovement()
    setFlag("flash", false)
    setFlag("shaking", false)
end